1 (edited by AlexVamp 2010-06-19 07:07:23)

Topic: problems with postfixadmin

i upgrade from 0.5.1 to 0.6.0
but have problem in postfixadmin
At attempt to replace the password - there is it an error:

DEBUG INFORMATION:
Invalid query: Unknown column 'local_part' in 'field list'
Please check the documentation and website for more information.
-------
To create the new user - too it is impossible
Shows the same error

2 (edited by shake 2010-06-21 22:03:52)

Re: problems with postfixadmin

seem you not update the sql table, Postfixadmin 2.23 have update the mysql tables.

# mysql -uroot -p
mysql> USE vmail;
mysql> ALTER TABLE mailbox ADD local_part VARCHAR(255) NOT NULL DEFAULT '';
mysql> UPDATE mailbox SET local_part = substring_index(username, '@', 1);

http://www.iredmail.org/wiki/index.php? … min_to_2.3